export default TriangleList;
declare class TriangleList extends Mesh {
    geometry: Geometry;
    material: MeshBasicMaterial;
    updatePoints(points: any, colors?: any[], options: any): void;
    applyQuaternion(quaternion: import("three").Quaternion): TriangleList;
    rotateOnAxis(axis: Vector3, angle: number): TriangleList;
    rotateOnWorldAxis(axis: Vector3, angle: number): TriangleList;
    rotateX(angle: number): TriangleList;
    rotateY(angle: number): TriangleList;
    rotateZ(angle: number): TriangleList;
    translateOnAxis(axis: Vector3, distance: number): TriangleList;
    translateX(distance: number): TriangleList;
    translateY(distance: number): TriangleList;
    translateZ(distance: number): TriangleList;
    add(...object: import("three").Object3D[]): TriangleList;
    remove(...object: import("three").Object3D[]): TriangleList;
    attach(object: import("three").Object3D): TriangleList;
    clone(recursive?: boolean | undefined): TriangleList;
    copy(source: TriangleList, recursive?: boolean | undefined): TriangleList;
}
import Mesh from "./Mesh";
import { Geometry } from "three/src/core/Geometry";
import { MeshBasicMaterial } from "three/src/materials/MeshBasicMaterial";
import { Vector3 } from "three/src/math/Vector3";
